# Uses of Class
net.shibboleth.idp.cas.ticket.TicketState

Packages that use TicketState
Package
Description
net.shibboleth.idp.cas.ticket
APIs related to CAS tickets.
net.shibboleth.idp.cas.ticket.impl
CAS protocol ticket implementations.

## Uses of TicketState in net.shibboleth.idp.cas.ticket

Fields in net.shibboleth.idp.cas.ticket declared as TicketState
Modifier and Type
Field
Description
`private TicketState`
Ticket.`ticketState`
Supplemental ticket state data.
Methods in net.shibboleth.idp.cas.ticket that return TicketState
Modifier and Type
Method
Description
`TicketState`
Ticket.`getTicketState()`
Get the supplemental ticket state data.
Methods in net.shibboleth.idp.cas.ticket with parameters of type TicketState
Modifier and Type
Method
Description
`ServiceTicket`
TicketService.`createServiceTicket(String id, Instant expiry, String service, TicketState state, boolean renew)`
Creates and stores a ticket for the given service.
`void`
Ticket.`setTicketState(TicketState state)`
Set the supplemental ticket state data.

## Uses of TicketState in net.shibboleth.idp.cas.ticket.impl

Methods in net.shibboleth.idp.cas.ticket.impl with parameters of type TicketState
Modifier and Type
Method
Description
`ServiceTicket`
EncodingTicketService.`createServiceTicket(String id, Instant expiry, String service, TicketState state, boolean renew)`
Creates and stores a ticket for the given service.
`ServiceTicket`
SimpleTicketService.`createServiceTicket(String id, Instant expiry, String service, TicketState state, boolean renew)`
Creates and stores a ticket for the given service.